# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.scripting.sightly.impl.engine.SightlyEngineConfiguration
Modifier and Type
Constant Field
Value
`public static final boolean`
`LEGACY_BOOLEAN_CASTING_DEFAULT`
`true`
org.apache.sling.scripting.sightly.impl.engine.SightlyScriptEngineFactory
Modifier and Type
Constant Field
Value
`public static final String`
`EXTENSION`
`"html"`
`public static final String`
`SHORT_NAME`
`"sightly"`

org.apache.sling.scripting.sightly.impl.engine.extension.FormatFilterExtension
Modifier and Type
Constant Field
Value
`protected static final String`
`DATE_FORMAT_TYPE`
`"date"`
`protected static final String`
`FORMAT_OPTION`
`"format"`
`protected static final String`
`LOCALE_OPTION`
`"locale"`
`protected static final String`
`NUMBER_FORMAT_TYPE`
`"number"`
`protected static final String`
`STRING_FORMAT_TYPE`
`"string"`
`protected static final String`
`TIMEZONE_OPTION`
`"timezone"`
`protected static final String`
`TYPE_OPTION`
`"type"`
org.apache.sling.scripting.sightly.impl.engine.extension.URIManipulationFilterExtension
Modifier and Type
Constant Field
Value
`public static final String`
`ADD_QUERY`
`"addQuery"`
`public static final String`
`ADD_SELECTORS`
`"addSelectors"`
`public static final String`
`APPEND_PATH`
`"appendPath"`
`public static final String`
`APPEND_SUFFIX`
`"appendSuffix"`
`public static final String`
`DOMAIN`
`"domain"`
`public static final String`
`EXTENSION`
`"extension"`
`public static final String`
`FRAGMENT`
`"fragment"`
`public static final String`
`PATH`
`"path"`
`public static final String`
`PREPEND_PATH`
`"prependPath"`
`public static final String`
`PREPEND_SUFFIX`
`"prependSuffix"`
`public static final String`
`QUERY`
`"query"`
`public static final String`
`REMOVE_QUERY`
`"removeQuery"`
`public static final String`
`REMOVE_SELECTORS`
`"removeSelectors"`
`public static final String`
`SCHEME`
`"scheme"`
`public static final String`
`SELECTORS`
`"selectors"`
`public static final String`
`SUFFIX`
`"suffix"`

org.apache.sling.scripting.sightly.impl.utils.ScriptDependencyResolver
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLED_SCRIPTS_REQUIREMENT`
`"osgi.extender;filter:=\"(&(osgi.extender=sling.scripting)(version>=1.0.0)(!(version>=2.0.0)))\""`